function x() { return; }

function displayImage( docTarget, docImgPath, docValue )
{
    if ( ! document.images ) { return; }

    docTarget.src = docImgPath + docValue;
    return;
}

function popWindow( winPage, winName, winPara )
{
    var win_position = ", screenX=800, left=400, screenY=600, top=300";
    var win_para = winPara + win_position;

    var mpnPopWindow = window.open( winPage, winName, win_para );
    return;
}


function refreshForm( formName, formAction, formMethod )
{
    var openerForm = opener.document.forms.formName;

    openerForm.action = formAction;
    openerForm.method = formMethod;
    openerForm.submit();
    return;
}

function simpleFormRefresh()
{
    window.location.reload( false );
    return;
}

function reloadParent( uriLocation )
{
    opener.uriLocation.reload();
    return;
}

function CheckAll()
{
    for ( var i=0; i<document.prvmsg.elements.length; i++ )
    {
        var e = document.prvmsg.elements[i];

        if ( ( e.name != 'allbox' ) && ( e.type == 'checkbox' ) )
        {
            e.checked = document.prvmsg.allbox.checked;
        }
    }
    return;
}

function CheckCheckAll()
{
    var TotalBoxes = 0;
    var TotalOn = 0;

    for ( var i=0; i < document.prvmsg.elements.length; i++ )
    {
        var e = document.prvmsg.elements[i];

        if ( ( e.name != 'allbox' ) && ( e.type == 'checkbox' ) )
        {
            TotalBoxes++;

            if ( e.checked ) { TotalOn++; }
        }
    }

    if ( TotalBoxes == TotalOn )
    {
        document.prvmsg.allbox.checked = true;
    }
    else
    {
        document.prvmsg.allbox.checked = false;
    }

    return;
}

function confirmAction( cmsg, amsg )
{
    if ( cmsg == null ) { cmsg = DefConfAction; }
    if ( amsg == null ) { amsg = DefAlert; }

    action = confirm( cmsg );

	if ( action == false )
	{
	    alert( amsg );
	    history.go( 0 );
	}

    return;
}

function scrollen( str, stp )
{
    parent.output.scrollBy( str, stp );
    return;
}